#!/bin/sh
# Chapter 23 - Scripting for Portability
# This script allows you to use the echo command reliably for prompts
#
# To use this function in your scripts you will have to "source"
# this script in using the . command.

_ECHO=/bin/echo
_N=
_C="\c"
ECHOOUT=`$_ECHO "hello $_C"`
if [ "$ECHOOUT" = "hello \c" ] ; then
    _N="-n"
    _C=
fi
export _ECHO _N _C

echo_prompt() {  $_ECHO $_N $@ $_C ; }

